File libgnomeui.spec of Package libgnomeui

#
# spec file for package libgnomeui
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgnomeui
# bug437293
%ifarch ppc64
Obsoletes:      libgnomeui-64bit
%endif
#
Requires:       shared-mime-info
Version:        2.24.5
Release:        0
Summary:        The GNOME User Interface Library
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/GNOME
Source:         http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.24/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libgnomeui-bnc468821-do-not-steal-sm-connection.patch bnc468821 bgo573058 vuntz@novell.com -- Make libgnomeui only handle SM connection it has initiated
Patch0:         libgnomeui-bnc468821-do-not-steal-sm-connection.patch
BuildRequires:  fdupes
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libbonoboui-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pkg-config
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library contains all the user interface-related functions for
GNOME-based software. You need the libgnomeui-devel package if you want
to develop GNOME 2.x Desktop software.

%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       libgnomeui = %{version}
# Those are listed as Libs in libgnomeui-2.0.pc, and therefore are not
# automatically added
Requires:       pkgconfig(ice)
Requires:       pkgconfig(sm)
# bug437293
%ifarch ppc64
Obsoletes:      libgnomeui-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description doc
This library contains all the User-Interface related functions for
GNOME-based Software. You need the libgnomeui-devel package too if you
want to develop GNOME 2.x Desktop-based Software.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p0

%build
%configure --with-pic\
	--libexecdir=%{_prefix}/lib/libgnomeui-2\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang libgnomeui-2.0
find %{buildroot} -type f -name "*.la" -exec %{__rm} -vf {} +
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README NEWS ChangeLog 
%{_datadir}/pixmaps/*.png
%{_libdir}/*.so.*
%{_libdir}/libglade/2.0/libgnome*.so

%files lang -f libgnomeui-2.0.lang

%files devel
%defattr(-,root,root)
%{_includedir}/libgnomeui-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnomeui-2.0.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libgnomeui

%changelog
openSUSE Build Service is sponsored by